/* ExtComplex.h */

bool init(ExtComplex& x);
bool isEqualZero(ExtComplex& z);
bool isEqual(ExtComplex& z, ExtComplex& x);
void convC_EC(ExtComplex& z, ExtComplex& x);
void assignZeroC(ExtComplex& z);
void EquateC_C(ExtComplex& z, const ExtComplex& x);
void AbsC(fp& myAbs, ExtComplex& z);
void Add(ExtComplex& z, const ExtComplex& x, const ExtComplex& y);
void Sub(ExtComplex& z, const ExtComplex& x, const ExtComplex& y);
void Mul(ExtComplex& z, const ExtComplex& x, const ExtComplex& y);
void Div(ExtComplex& z, const ExtComplex& x, const ExtComplex& y);
void mySqrtCC(ExtComplex& z, ExtComplex& x);
void InverseC(ExtComplex& z, ExtComplex& x);
